# Uses of Class
org.apache.zookeeper.txn.TxnDigest

Packages that use TxnDigest
Package
Description
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.persistence
org.apache.zookeeper.txn

## Uses of TxnDigest in org.apache.zookeeper.server

Methods in org.apache.zookeeper.server that return TxnDigest
Modifier and Type
Method
Description
`TxnDigest`
TxnLogEntry.`getDigest()`
`TxnDigest`
Request.`getTxnDigest()`
Methods in org.apache.zookeeper.server with parameters of type TxnDigest
Modifier and Type
Method
Description
`boolean`
DataTree.`compareDigest(TxnHeader header, Record txn, TxnDigest digest)`
Compares the digest of the tree with the digest present in transaction digest.
`boolean`
ZKDatabase.`compareDigest(TxnHeader header, Record txn, TxnDigest digest)`
`DataTree.ProcessTxnResult`
DataTree.`processTxn(TxnHeader header, Record txn, TxnDigest digest)`
`DataTree.ProcessTxnResult`
ZKDatabase.`processTxn(TxnHeader hdr, Record txn, TxnDigest digest)`
the process txn on the data and perform digest comparision.
`void`
Request.`setTxnDigest(TxnDigest txnDigest)`
Constructors in org.apache.zookeeper.server with parameters of type TxnDigest
Modifier
Constructor
Description
``
`Request(TxnHeader hdr, Record txn, TxnDigest digest)`
``
`TxnLogEntry(Record txn, TxnHeader header, TxnDigest digest)`

## Uses of TxnDigest in org.apache.zookeeper.server.persistence

Methods in org.apache.zookeeper.server.persistence that return TxnDigest
Modifier and Type
Method
Description
`TxnDigest`
FileTxnLog.FileTxnIterator.`getDigest()`
`TxnDigest`
TxnLog.TxnIterator.`getDigest()`
Methods in org.apache.zookeeper.server.persistence with parameters of type TxnDigest
Modifier and Type
Method
Description
`static byte[]`
Util.`marshallTxnEntry(TxnHeader hdr, Record txn, TxnDigest digest)`
Serializes transaction header and transaction data into a byte buffer.
`void`
FileTxnSnapLog.PlayBackListener.`onTxnLoaded(TxnHeader hdr, Record rec, TxnDigest digest)`

## Uses of TxnDigest in org.apache.zookeeper.txn

Methods in org.apache.zookeeper.txn with parameters of type TxnDigest
Modifier and Type
Method
Description
`void`
TxnDigest.`copyFrom(TxnDigest from)`